# $Revision: 1.9 $, $Date: 2012/06/02 16:01:03 $
#
# Conditional build:
%bcond_with		gtk3		# build GTK+3 disables GTK+2
%bcond_without		gtk2	# build with GTK+2

%if %{with gtk3}
%undefine	with_gtk2
%endif

Summary:	Desktop-independent theme switcher for GTK+
Name:		lxappearance
Version:	0.5.2
Release:	1
License:	GPL v3
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.gz
# Source0-md5:	a088c6ef08fd25df7dc3be5b07168bbe
URL:		http://wiki.lxde.org/en/LXAppearance
BuildRequires:	gettext-devel
%{?with_gtk2:BuildRequires:	gtk+2-devel >= 2:2.12.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel}
BuildRequires:	intltool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LXAppearance is part of LXDE project. It's a desktop-independent theme
switcher for GTK+.

%package devel
Summary:	Header files for lxappearance
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for lxappearance.

%prep
%setup -q

%build
%configure \
	%{?with_gtk3:--enable-gtk3}
%{__make} V=1

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}/lxappearance/plugins

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/tt_RU

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/lxappearance
%dir %{_libdir}/lxappearance
%dir %{_libdir}/lxappearance/plugins
%{_mandir}/man1/lxappearance.1*
%{_desktopdir}/lxappearance.desktop
%{_datadir}/lxappearance

%files devel
%defattr(644,root,root,755)
%dir %{_includedir}/lxappearance
%{_includedir}/lxappearance/lxappearance.h
%{_pkgconfigdir}/lxappearance.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lxappearance.spec,v $
Revision 1.9  2012/06/02 16:01:03  witekfl
- 0.5.2
- verbose build

Revision 1.8  2011/08/15 08:06:18  glen
- install plugins dir

Revision 1.7  2011/08/15 08:03:16  glen
- remove tt_RU locale dir, gtk3 bcond

Revision 1.6  2011/08/15 07:11:34  glen
- up to 0.5.1

Revision 1.5  2010/10/25 12:47:24  glen
- up to 0.5.0, add -devel package

Revision 1.4  2010/09/14 19:48:54  glen
- more precise urls

Revision 1.3  2010/09/14 19:33:58  glen
- ws cleanup

Revision 1.2  2010/07/30 22:47:50  charles
- BR: gettext-devel, intltool, pkgconfig

Revision 1.1  2010/07/29 16:36:26  witekfl
- new
